## ExoWrapTable ExoWrapTable — A container widget with automatic child layouting |

## Functions

GtkWidget * | exo_wrap_table_new ()
guint | exo_wrap_table_get_col_spacing ()
void | exo_wrap_table_set_col_spacing ()
guint | exo_wrap_table_get_row_spacing ()
void | exo_wrap_table_set_row_spacing ()
gboolean | exo_wrap_table_get_homogeneous ()
void | exo_wrap_table_set_homogeneous ()

## Properties

guint | col-spacing | Read / Write
gboolean | homogeneous | Read / Write
guint | row-spacing | Read / Write

## Types and Values

struct | ExoWrapTable

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GtkObject
                ╰── GtkWidget
                    ╰── GtkContainer
                        ╰── ExoWrapTable

## Implemented Interfaces

ExoWrapTable implements AtkImplementorIface and GtkBuildable.

## Includes

    #include <exo/exo.h>

## Description

The ExoWrapTable class layouts its children automatically according to the available width allocated to the container class.

## Functions

### exo_wrap_table_new ()

    GtkWidget *
    exo_wrap_table_new (gboolean homogeneous);

Allocates a new ExoWrapTable.

#### Parameters

homogeneous | `TRUE` if all children are to be given equal space allotments. |

#### Returns

the newly allocated ExoWrapTable.

Since: 0.3.1

### exo_wrap_table_get_col_spacing ()

    guint
    exo_wrap_table_get_col_spacing (const ExoWrapTable *table);

Returns the amount of space between consecutive columns in `table` .

#### Parameters

table | an ExoWrapTable. |

#### Returns

the amount of space between consecutive columns.

Since: 0.3.1

### exo_wrap_table_set_col_spacing ()

    void
    exo_wrap_table_set_col_spacing (ExoWrapTable *table,
                                    guint col_spacing);

Sets the amount of space between consecutive columns in `table` to `col_spacing` .

#### Parameters

table | an ExoWrapTable. |
col_spacing | the new column spacing. |

Since: 0.3.1

### exo_wrap_table_get_row_spacing ()

    guint
    exo_wrap_table_get_row_spacing (const ExoWrapTable *table);

Returns the amount of space between consecutive rows in `table` .

#### Parameters

table | an ExoWrapTable. |

#### Returns

the amount of space between consecutive rows in `table` .

Since: 0.3.1

### exo_wrap_table_set_row_spacing ()

    void
    exo_wrap_table_set_row_spacing (ExoWrapTable *table,
                                    guint row_spacing);

Sets the amount of spacing between consecutive rows in `table` to `row_spacing` .

#### Parameters

table | an ExoWrapTable. |
row_spacing | the new row spacing. |

Since: 0.3.1

### exo_wrap_table_get_homogeneous ()

    gboolean
    exo_wrap_table_get_homogeneous (const ExoWrapTable *table);

Returns whether the table cells are all constrained to the same width and height.

#### Parameters

table | an ExoWrapTable. |

#### Returns

`TRUE` if the cells are all constrained to the same size.

Since: 0.3.1

### exo_wrap_table_set_homogeneous ()

    void
    exo_wrap_table_set_homogeneous (ExoWrapTable *table,
                                    gboolean homogeneous);

Changes the homogenous property of `table` cells, ie. whether all cells are an equal size or not.

#### Parameters

table | an ExoWrapTable. |
homogeneous | Set to `TRUE` to ensure all `table` cells are the same size. Set to `FALSE` if this is not your desired behaviour. |

Since: 0.3.1

## Types and Values

### struct ExoWrapTable

    struct ExoWrapTable;

The ExoWrapTable struct contains only private fields and should not be directly accessed.

## Property Details

### The `“col-spacing”` property

      “col-spacing”              guint

The amount of space between two consecutive columns.

Flags: Read / Write

Default value: 0

### The `“homogeneous”` property

      “homogeneous”              gboolean

Whether the children should be all the same size.

Flags: Read / Write

Default value: FALSE

### The `“row-spacing”` property

      “row-spacing”              guint

The amount of space between two consecutive rows.

Flags: Read / Write

Default value: 0